Event

Create Event (User)

SecurityAPIKeyHeader
Request
Request Body schema: application/json
required
id
required
string (Id) non-empty
name
required
string (Name) non-empty
Customer Id (string) or Customer Id (null) (Customer Id)
start_at
required
string (Start At)
end_at
required
string (End At)
active
boolean (Active)
Default: true
workflow_templates
Array of strings (Workflow Templates)
input_options
Array of strings (Input Options)
cover_video
string (Cover Video)
Default: ""

URL of the event cover / preview video (e.g. same role as thumbnail_video on workflow templates).

gallery_view_mode
string (Gallery View Mode)
Default: ""

Optional gallery view mode for the event UI.

contact_email
string (Contact Email)
Default: ""

Contact email for this event (e.g. organizer or support).

subject
string (Subject)
Default: "Event Submission Completed"

Optional subject for the event submission email.

banner_url
string (Banner Url)
Default: ""

Optional banner image URL for this event.

notification_html
string (Notification Html)
Default: ""

Optional notification HTML for this event (used by event email template).

Responses
200

Successful Response

422

Validation Error

post/event
Request samples
Response samples
application/json
null

Update Event (User)

SecurityAPIKeyHeader
Request
Request Body schema: application/json
required
Name (string) or Name (null) (Name)
Customer Id (string) or Customer Id (null) (Customer Id)
Start At (string) or Start At (null) (Start At)
End At (string) or End At (null) (End At)
Active (boolean) or Active (null) (Active)
Array of Workflow Templates (strings) or Workflow Templates (null) (Workflow Templates)
Array of Input Options (strings) or Input Options (null) (Input Options)
Cover Video (string) or Cover Video (null) (Cover Video)
Gallery View Mode (string) or Gallery View Mode (null) (Gallery View Mode)
Contact Email (string) or Contact Email (null) (Contact Email)
Subject (string) or Subject (null) (Subject)
Default: "Event Submission Completed"

Optional subject for the event submission email.

Banner Url (string) or Banner Url (null) (Banner Url)
Notification Html (string) or Notification Html (null) (Notification Html)
Responses
200

Successful Response

422

Validation Error

put/event/{event_id}
Request samples
Response samples
application/json
null

Delete Event (User)

SecurityAPIKeyHeader
Responses
200

Successful Response

422

Validation Error

delete/event/{event_id}
Request samples
Response samples
application/json
null

Get Event (User)

SecurityAPIKeyHeader
Responses
200

Successful Response

422

Validation Error

get/event/{event_id}
Request samples
Response samples
application/json
null

List Events (User)

SecurityAPIKeyHeader
Responses
200

Successful Response

422

Validation Error

get/events
Request samples
Response samples
application/json
null

List Workflow Templates

SecurityAPIKeyHeader
Responses
200

Successful Response

422

Validation Error

get/events/workflow-templates
Request samples
Response samples
application/json
null

Check Event Exists

Request
Request Body schema: application/json
required
customer_id
required
string (Customer Id) non-empty
event_id
required
string (Event Id) non-empty
Responses
200

Successful Response

422

Validation Error

post/events/check
Request samples
Response samples
application/json
null

Create Event (Admin)

Request
Request Body schema: application/json
required
id
required
string (Id) non-empty
name
required
string (Name) non-empty
Customer Id (string) or Customer Id (null) (Customer Id)
start_at
required
string (Start At)
end_at
required
string (End At)
active
boolean (Active)
Default: true
workflow_templates
Array of strings (Workflow Templates)
input_options
Array of strings (Input Options)
cover_video
string (Cover Video)
Default: ""

URL of the event cover / preview video (e.g. same role as thumbnail_video on workflow templates).

gallery_view_mode
string (Gallery View Mode)
Default: ""

Optional gallery view mode for the event UI.

contact_email
string (Contact Email)
Default: ""

Contact email for this event (e.g. organizer or support).

subject
string (Subject)
Default: "Event Submission Completed"

Optional subject for the event submission email.

banner_url
string (Banner Url)
Default: ""

Optional banner image URL for this event.

notification_html
string (Notification Html)
Default: ""

Optional notification HTML for this event (used by event email template).

Responses
200

Successful Response

422

Validation Error

post/admin/event
Request samples
Response samples
application/json
null

Update Event (Admin)

Request
Request Body schema: application/json
required
Name (string) or Name (null) (Name)
Customer Id (string) or Customer Id (null) (Customer Id)
Start At (string) or Start At (null) (Start At)
End At (string) or End At (null) (End At)
Active (boolean) or Active (null) (Active)
Array of Workflow Templates (strings) or Workflow Templates (null) (Workflow Templates)
Array of Input Options (strings) or Input Options (null) (Input Options)
Cover Video (string) or Cover Video (null) (Cover Video)
Gallery View Mode (string) or Gallery View Mode (null) (Gallery View Mode)
Contact Email (string) or Contact Email (null) (Contact Email)
Subject (string) or Subject (null) (Subject)
Default: "Event Submission Completed"

Optional subject for the event submission email.

Banner Url (string) or Banner Url (null) (Banner Url)
Notification Html (string) or Notification Html (null) (Notification Html)
Responses
200

Successful Response

422

Validation Error

put/admin/event/{customer_id}/{event_id}
Request samples
Response samples
application/json
null

Delete Event (Admin)

Responses
200

Successful Response

422

Validation Error

delete/admin/event/{customer_id}/{event_id}
Request samples
Response samples
application/json
null

Get Event (Admin)

Responses
200

Successful Response

422

Validation Error

get/admin/event/{customer_id}/{event_id}
Request samples
Response samples
application/json
null

List Events (Admin)

Responses
200

Successful Response

422

Validation Error

get/admin/events
Request samples
Response samples
application/json
null